| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::Paragraph Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::Paragraph:

## Public Member Functions
| Paragraph (ImpellerParagraph paragraph, AdoptTag tag)
float | GetAlphabeticBaseline ()
float | GetHeight ()
float | GetIdeographicBaseline ()
uint32_t | GetLineCount ()
float | GetLongestLineWidth ()
float | GetMaxIntrinsicWidth ()
float | GetMaxWidth ()
float | GetMinIntrinsicWidth ()
LineMetrics | GetLineMetrics () const
GlyphInfo | GlyphInfoAtCodeUnitIndex (size_t code_unit_index)
GlyphInfo | GlyphInfoAtParagraphCoordinates (double x, double y)
ImpellerRange | GetWordBoundary (size_t code_unit_index)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >
| Object ()=default
| Object (ImpellerParagraph object)
| Object (ImpellerParagraph object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerParagraph | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerParagraph

Definition at line 892 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ Paragraph()

IMPELLER_HPP_NAMESPACE::Paragraph::Paragraph | ( | ImpellerParagraph | paragraph,
|  | AdoptTag | tag
| ) |  |
| inline

Definition at line 894 of file impeller.hpp.

895 : Object(paragraph, AdoptTag::kAdopt) {}
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt

References IMPELLER_HPP_NAMESPACE::kAdopt.

## Member Function Documentation

## ◆ GetAlphabeticBaseline()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetAlphabeticBaseline | ( |  | ) |
| inline

See also
  ImpellerParagraphGetAlphabeticBaseline

Definition at line 900 of file impeller.hpp.

900 {
901 return gGlobalProcTable.ImpellerParagraphGetAlphabeticBaseline(Get());
902 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get
ImpellerParagraph Get() const
Definition: impeller.hpp:278
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetHeight()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetHeight | ( |  | ) |
| inline

See also
  ImpellerParagraphGetHeight

Definition at line 907 of file impeller.hpp.

907 {
908 return gGlobalProcTable.ImpellerParagraphGetHeight(Get());
909 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetIdeographicBaseline()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetIdeographicBaseline | ( |  | ) |
| inline

See also
  ImpellerParagraphGetIdeographicBaseline

Definition at line 914 of file impeller.hpp.

914 {
915 return gGlobalProcTable.ImpellerParagraphGetIdeographicBaseline(Get());
916 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetLineCount()

uint32_t IMPELLER_HPP_NAMESPACE::Paragraph::GetLineCount | ( |  | ) |
| inline

See also
  ImpellerParagraphGetLineCount

Definition at line 921 of file impeller.hpp.

921 {
922 return gGlobalProcTable.ImpellerParagraphGetLineCount(Get());
923 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetLineMetrics()

LineMetrics IMPELLER_HPP_NAMESPACE::Paragraph::GetLineMetrics | ( |  | ) | const
| inline

See also
  ImpellerParagraphGetLineMetrics

Definition at line 956 of file impeller.hpp.

956 {
957 auto metrics = gGlobalProcTable.ImpellerParagraphGetLineMetrics(Get());
958 gGlobalProcTable.ImpellerLineMetricsRetain(metrics);
959 return LineMetrics(metrics, AdoptTag::kAdopt);
960 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ GetLongestLineWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetLongestLineWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetLongestLineWidth

Definition at line 928 of file impeller.hpp.

928 {
929 return gGlobalProcTable.ImpellerParagraphGetLongestLineWidth(Get());
930 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetMaxIntrinsicWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetMaxIntrinsicWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetMaxIntrinsicWidth

Definition at line 935 of file impeller.hpp.

935 {
936 return gGlobalProcTable.ImpellerParagraphGetMaxIntrinsicWidth(Get());
937 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetMaxWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetMaxWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetMaxWidth

Definition at line 942 of file impeller.hpp.

942 {
943 return gGlobalProcTable.ImpellerParagraphGetMaxWidth(Get());
944 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetMinIntrinsicWidth()

float IMPELLER_HPP_NAMESPACE::Paragraph::GetMinIntrinsicWidth | ( |  | ) |
| inline

See also
  ImpellerParagraphGetMinIntrinsicWidth

Definition at line 949 of file impeller.hpp.

949 {
950 return gGlobalProcTable.ImpellerParagraphGetMinIntrinsicWidth(Get());
951 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GetWordBoundary()

ImpellerRange IMPELLER_HPP_NAMESPACE::Paragraph::GetWordBoundary | ( | size_t | code_unit_index | ) |
| inline

See also
  ImpellerParagraphGetWordBoundary

Definition at line 989 of file impeller.hpp.

989 {
990 ImpellerRange range = {};
991 gGlobalProcTable.ImpellerParagraphGetWordBoundary(Get(), code_unit_index,
992 &range);
993 return range;
994 }
ImpellerRange
Definition: impeller.h:524

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ GlyphInfoAtCodeUnitIndex()

GlyphInfo IMPELLER_HPP_NAMESPACE::Paragraph::GlyphInfoAtCodeUnitIndex | ( | size_t | code_unit_index | ) |
| inline

See also
  ImpellerParagraphCreateGlyphInfoAtCodeUnitIndexNew

Definition at line 965 of file impeller.hpp.

965 {
966 return GlyphInfo(
967 gGlobalProcTable.ImpellerParagraphCreateGlyphInfoAtCodeUnitIndexNew(
968 Get(), code_unit_index),
969 AdoptTag::kAdopt);
970 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and IMPELLER_HPP_NAMESPACE::kAdopt.

## ◆ GlyphInfoAtParagraphCoordinates()

GlyphInfo IMPELLER_HPP_NAMESPACE::Paragraph::GlyphInfoAtParagraphCoordinates | ( | double | x,
|  | double | y
| ) |  |
| inline

See also
  ImpellerParagraphCreateGlyphInfoAtParagraphCoordinatesNew

Definition at line 975 of file impeller.hpp.

975 {
976 return GlyphInfo(
977 gGlobalProcTable
978 .ImpellerParagraphCreateGlyphInfoAtParagraphCoordinatesNew(
979 Get(), //
980 x, //
981 y //
982 ),
983 AdoptTag::kAdopt);
984 }
x
int32_t x
Definition: dl_golden_unittests.cc:458
ImpellerParagraphCreateGlyphInfoAtParagraphCoordinatesNew
IMPELLER_EXPORT IMPELLER_NODISCARD ImpellerGlyphInfo IMPELLER_NULLABLE ImpellerParagraphCreateGlyphInfoAtParagraphCoordinatesNew(ImpellerParagraph IMPELLER_NONNULL paragraph, double x, double y)
Create a new instance of glyph info that can be queried for information about the glyph closest to th...

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraph, ImpellerParagraphTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, ImpellerParagraphCreateGlyphInfoAtParagraphCoordinatesNew(), IMPELLER_HPP_NAMESPACE::kAdopt, and x.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp